org.apache.jmeter.protocol.http.util

## Class Base64Encoder

- java.lang.Object
- - org.apache.jmeter.protocol.http.util.Base64Encoder

Deprecated.
as exists now in java.util.Base64, will be removed in next version 3.3

    @Deprecated
    public final class Base64Encoder
    extends Object

This class provides an implementation of Base64 encoding without relying on the sun.* packages.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `encode(byte[] bs)` Deprecated.
`static String` `encode(String s)` Deprecated.
`static String` `encodeAtom(byte[] b, int strt, int left)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### encode

    public static String encode(String s)

Deprecated.

#### encode

    public static String encode(byte[] bs)

Deprecated.

#### encodeAtom

    public static String encodeAtom(byte[] b,
                                    int strt,
                                    int left)

Deprecated.